## Get all price guards

### cURL

```bash
curl --request GET \
  --url https://live.copilot.fabric.inc/api-offers/price-guard \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'
```

```python
import requests

url = "https://live.copilot.fabric.inc/api-offers/price-guard"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://live.copilot.fabric.inc/api-offers/price-guard', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Response Codes

- **200**
- **400**
- **500**

### Example Response
```json
{
  "query": {
    "limit": 10,
    "count": 150,
    "offset": 10,
    "itemId": 100000001,
    "priceListId": 100001,
    "sortBy": "updatedAt",
    "sortOrder": "desc"
  },
  "data": [
    {
      "_id": "614b58924e92f6861ac9d43b",
      "itemId": 10000000123,
      "itemSku": "DEF-SKU-1",
      "priceListId": 100000,
      "MSRP": 299,
      "MAP": 299,
      "ceiling": 299,
      "floor": 299,
      "deleted": false,
      "createdAt": "2020-12-14T12:15:43.646Z",
      "updatedAt": "2021-12-14T12:15:43.646Z"
    }
  ]
}
```

```json
{
  "code": "BAD_REQUEST",
  "message": "Bad Request"
}
```

```json
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error."
}
```

### Authorizations

| Field                | Type   | Required | Description |
|----------------------|--------|----------|-------------|
| Authorization        | string | Yes      | Bearer authentication header: `Bearer <token>` |
| x-site-context       | string | Yes      | JSON object containing information about the source to pull data from. Example: `{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}` |

### Query Parameters

| Name          | Type    | Description  |
|---------------|---------|--------------|
| limit         | number  | Maximum records per page |
| offset        | number  | Records to skip before returning |
| itemId       | integer | Item ID for price guards |
| priceListId   | integer | ID of the price list |
| sortBy       | enum    | Field to sort records - `priceListId`, `itemId`, `updatedAt` |
| sortOrder    | enum    | Order - `desc` or `asc` |

### Response Structure

#### Successful Response 200
```json
{
  "query": { ... },
  "data": { ... }
}
```
